Bug 174252 - AWT thread blocked for 23237 ms.
AWT thread blocked for 23237 ms.
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Diff
6.x
All All
: P3 (vote)
: 6.x
Assigned To: diff-issues@utilities
diff-issues@utilities
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-09 18:05 UTC by cassus
Modified: 2009-10-14 23:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (6.61 KB, bin/nps)
2009-10-09 18:05 UTC, cassus
Details
nps snapshot (9.56 KB, bin/nps)
2009-10-09 18:13 UTC, cassus
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cassus 2009-10-09 18:05:02 UTC
Build: NetBeans IDE Dev (Build 200910071536)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, amd64

User Comments:
cassus: blocked ui after a large mercurial commit. The CPU usage was at 100% during the block


Maximum slowness yet reported was 23237 ms, average is 23237
Comment 1 cassus 2009-10-09 18:05:10 UTC
Created attachment 89217 [details]
nps snapshot
Comment 2 cassus 2009-10-09 18:13:00 UTC
Build: NetBeans IDE Dev (Build 200910071536)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Linux, 2.6.28-15-generic, amd64

User Comments: 
switching to mercural diff window (tab)
Maximum slowness yet reported was 23237 ms, average is 21801
Comment 3 cassus 2009-10-09 18:13:04 UTC
Created attachment 89218 [details]
nps snapshot
Comment 4 Ondrej Vrabec 2009-10-09 18:22:53 UTC
How many and how big are the files you are diffing?
Comment 5 Ondrej Vrabec 2009-10-12 11:36:27 UTC
fix: cdev #ec2a31fd5cd5
Comment 6 Quality Engineering 2009-10-14 23:03:42 UTC
Integrated into 'main-golden', will be available in build *200910141401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/ec2a31fd5cd5
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #174252 - AWT thread blocked for 23237 ms.
counting highlights in a bg thread


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo